package seu.agent.Police;

import java.util.Comparator;

import seu.agent.Path.RequiredClearPath;

public class ClearPathTaskComparator implements
		Comparator<RequiredClearPath> {
	/**
	 * Compares the given QueueMessages according to importance level.
	 * 
	 * @param x
	 *            The first message to compare
	 * @param y
	 *            The second message to compare
	 * @return Returns an 1 or -1 accroding to importance level of the messages.
	 */
	@Override
	public int compare(RequiredClearPath x, RequiredClearPath y) {
		if (x.getImportance().ordinal() < y.getImportance().ordinal()) // compares
																		// the
																		// imortance
																		// level
																		// of
																		// the
																		// messages
		{
			return -1;
		}
		if (x.getImportance().ordinal() > y.getImportance().ordinal()) {
			return 1;
		}
		return 0;
	}
}
