package seu.agent.Ambulance;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import rescuecore2.standard.entities.Building;
import rescuecore2.standard.entities.Civilian;
import rescuecore2.standard.entities.StandardEntity;
import rescuecore2.standard.entities.StandardEntityURN;
import rescuecore2.worldmodel.EntityID;
import seu.object.SEUWorldModel;

public class CivilianSaveTaskManager {

	private List<BuriedCivilian> buriedCivilians;
	private List<EntityID> ambulanceTeamAgents;

	public CivilianSaveTaskManager(SEUWorldModel world) {
		buriedCivilians = new ArrayList<BuriedCivilian>();
		ambulanceTeamAgents = new ArrayList<EntityID>();
		Collection<StandardEntity> ambulances = world
				.getEntitiesOfType(StandardEntityURN.AMBULANCE_TEAM);
		for (StandardEntity next : ambulances) {
			EntityID a = next.getID();
			ambulanceTeamAgents.add(a);
		}
	}

	public void updateState() {

	}

	public void addBuriedCivilian(Civilian civilian, Building location) {
		BuriedCivilian buriedCivilian = new BuriedCivilian(civilian, location);
		buriedCivilians.add(buriedCivilian);
	}

}
