package seu.message.Type;

import java.util.ArrayList;
import java.util.List;

import rescuecore2.worldmodel.EntityID;
import seu.message.Property.IntegerProperty;
import seu.message.Property.MessageProperty;
import seu.message.Property.PropertyName;

public class AgentIsStuckMessage extends Message {

	public AgentIsStuckMessage() {
		super();
	}

	public AgentIsStuckMessage(EntityID locationId) {
		this();
		setEntityId(PropertyName.LocationId, locationId);
	}

	@Override
	protected List<MessageProperty<?>> createProperties() {
		List<MessageProperty<?>> properties = new ArrayList<MessageProperty<?>>();
		properties.add(new IntegerProperty(PropertyName.LocationId, 2));
		return properties;
	}

	@Override
	public MessageType getType() {
		return MessageType.AgentIsStuckMessage;
	}

	public EntityID getLocationId() {
		return getEntityId(PropertyName.LocationId);
	}
}
